perfsonar-dev - [pS-dev] [GEANT/SA2/ps-java-services] r5906 - in trunk/perfsonar-java-xml-ls: . packaging src/main/java/org/perfsonar/service/lookupservice src/main/resources/perfsonar/conf src/test/soapUI
Subject: perfsonar development work
List archive
[pS-dev] [GEANT/SA2/ps-java-services] r5906 - in trunk/perfsonar-java-xml-ls: . packaging src/main/java/org/perfsonar/service/lookupservice src/main/resources/perfsonar/conf src/test/soapUI
Chronological Thread
- From:
- To:
- Subject: [pS-dev] [GEANT/SA2/ps-java-services] r5906 - in trunk/perfsonar-java-xml-ls: . packaging src/main/java/org/perfsonar/service/lookupservice src/main/resources/perfsonar/conf src/test/soapUI
- Date: Mon, 19 Mar 2012 18:28:46 +0000 (GMT)
Author: dante.delvaux
Date: 2012-03-19 18:28:46 +0000 (Mon, 19 Mar 2012)
New Revision: 5906
Added:
trunk/perfsonar-java-xml-ls/debian/
trunk/perfsonar-java-xml-ls/geant2-java-xml-ls/
trunk/perfsonar-java-xml-ls/tmp/
Modified:
trunk/perfsonar-java-xml-ls/packaging/package.sh
trunk/perfsonar-java-xml-ls/src/main/java/org/perfsonar/service/lookupservice/LSKeepaliveServiceEngine.java
trunk/perfsonar-java-xml-ls/src/main/resources/perfsonar/conf/configuration.xml
trunk/perfsonar-java-xml-ls/src/test/soapUI/perfsonar-LS-base2-soapui-project.xml
Log:
Little improvement to build process and soapUI tests. Correction of 2 return
codes (eventTypes). Testing the automatic build process with the new
uploaded eXist 1.2.6 xmldb-api jar.
Modified: trunk/perfsonar-java-xml-ls/packaging/package.sh
===================================================================
--- trunk/perfsonar-java-xml-ls/packaging/package.sh 2012-03-16 10:51:01
UTC (rev 5905)
+++ trunk/perfsonar-java-xml-ls/packaging/package.sh 2012-03-19 18:28:46
UTC (rev 5906)
@@ -41,6 +41,23 @@
SERVICE_NAME="perfsonar-java-xml-ls"
RPM_SPEC_NAME=$SERVICE_NAME".specs"
+#
+# Check the dependencies are present
+#
+check_dirs() {
+ echo -n "Checking everything is in place for the build process ... "
+ if [[ ! -d $WEBADMIN_DIR ]]; then
+ echo "WebAdmin build directory is missing: "$WEBADMIN_DIR
+ exit 1
+ fi
+ if [[ ! -d $REDIRECTOR_DIR ]]; then
+ echo "Servlet redirector build directory is missing:
"$REDIRECTOR_DIR
+ exit 1
+ fi
+ echo "done!"
+ echo
+}
+
do_clean_up() {
echo -n "Cleaning up build space ... "
cd $PROJECT_DIR
@@ -54,7 +71,7 @@
# After this call, all should be ready to be copied from build/war/
#
build_webadmin() {
- echo "Building the Web Admin in its own directory
${MY_DIR}${WEBADMIN_DIR}"
+ echo "Building the Web Admin in its own directory ${WEBADMIN_DIR}"
cd ${WEBADMIN_DIR}"ant"
ant -q distclean get-repo prepare-war-structure
echo
@@ -205,6 +222,7 @@
# Build all needed projects
#
build_all() {
+ check_dirs
build_webadmin
build_redirector
build_service
@@ -212,6 +230,7 @@
#
# The main
+# Set the $profile variable to change mvn profile build
#
case "$1" in
Modified:
trunk/perfsonar-java-xml-ls/src/main/java/org/perfsonar/service/lookupservice/LSKeepaliveServiceEngine.java
===================================================================
---
trunk/perfsonar-java-xml-ls/src/main/java/org/perfsonar/service/lookupservice/LSKeepaliveServiceEngine.java
2012-03-16 10:51:01 UTC (rev 5905)
+++
trunk/perfsonar-java-xml-ls/src/main/java/org/perfsonar/service/lookupservice/LSKeepaliveServiceEngine.java
2012-03-19 18:28:46 UTC (rev 5906)
@@ -68,7 +68,7 @@
/**
- * gets and tests Key. If key is null return exception (result code)
+ * Gets and tests Key. If key is null return exception (with result code)
* @param requestMetadata
* @return
* @throws PerfSONARException
@@ -80,15 +80,15 @@
logger.debug("LSKeepaliveAction: LS key=[" + keyValue + "]");
if (keyValue == null) {
- String m = "LSKeepaliveAction: No key in metadata";
+ String m = "No key in metadata";
logger.error(m);
- throw new PerfSONARException("error/ls/no_key", m);
+ throw new PerfSONARException("error.ls.no_key", m);
}
return keyValue;
}
/**
- * Gets and tests Metadata, return result code if no metadata
+ * Gets and tests Metadata, return exception (with result code) if no
metadata
* @param requestMessage
* @return
* @throws PerfSONARException
@@ -100,9 +100,9 @@
Metadata requestMetadata =
getFirstMetadataFromRequest(requestMessage);
if (requestMetadata == null) {
- String m = "LSKeepaliveAction: No metadata in request";
+ String m = "No metadata in request";
logger.error(m);
- throw new PerfSONARException("error/ls/no_metadata", m);
+ throw new PerfSONARException("error.ls.no_metadata", m);
}
return requestMetadata;
}
Modified:
trunk/perfsonar-java-xml-ls/src/main/resources/perfsonar/conf/configuration.xml
===================================================================
---
trunk/perfsonar-java-xml-ls/src/main/resources/perfsonar/conf/configuration.xml
2012-03-16 10:51:01 UTC (rev 5905)
+++
trunk/perfsonar-java-xml-ls/src/main/resources/perfsonar/conf/configuration.xml
2012-03-19 18:28:46 UTC (rev 5906)
@@ -8,7 +8,6 @@
<!-- Lookup Info of the LS instance -->
-<!-- FIXME: We should have a configuration file dedicated to unit testing -->
<lookupInformation>
<option name="accessPoint"
value="http://localhost:%PORT%/perfsonar-java-xml-ls/services/LookupService"/>
<option name="serviceName" value="perfSONAR Java - XML LS "/>
Modified:
trunk/perfsonar-java-xml-ls/src/test/soapUI/perfsonar-LS-base2-soapui-project.xml
===================================================================
---
trunk/perfsonar-java-xml-ls/src/test/soapUI/perfsonar-LS-base2-soapui-project.xml
2012-03-16 10:51:01 UTC (rev 5905)
+++
trunk/perfsonar-java-xml-ls/src/test/soapUI/perfsonar-LS-base2-soapui-project.xml
2012-03-19 18:28:46 UTC (rev 5906)
@@ -6,7 +6,8 @@
For this project to run, two libraries must by available in the bin/ext
soapUI directory:
- jing.jar (works well with v20091111),
- org.perfsonar.sopaUI.ls.jar (which contains the TestUtil java class)
-</con:description><con:settings><con:setting
id="com.eviware.soapui.impl.wsdl.actions.iface.tools.soapui.TestRunnerAction@values-local"><![CDATA[<xml-fragment
xmlns:con="http://eviware.com/soapui/config">
+
+Don't forget to update the lsHost whenever you change the endpoint of the
services ! Otherwise, the initialisation of the DB will not be
done.</con:description><con:settings><con:setting
id="com.eviware.soapui.impl.wsdl.actions.iface.tools.soapui.TestRunnerAction@values-local"><![CDATA[<xml-fragment
xmlns:con="http://eviware.com/soapui/config">
<con:entry key="Global Properties" value=""/>
<con:entry key="TestSuite" value="Initialisation"/>
<con:entry key="Report to Generate" value=""/>
@@ -480,7 +481,7 @@
def data =
ResponseHolder.getDomNodes('/soapenv:Envelope/soapenv:Body/nmwg:message/nmwg:data[@metadataIdRef="'+metadataIdRef+'"]/nmwgr:datum')
assert data.size() == 1
assert data[0].getValueAsString().contains(apKey)
-</scriptText></con:configuration></con:assertion><con:credentials><con:username
xsi:nil="true"/><con:password xsi:nil="true"/><con:domain
xsi:nil="true"/></con:credentials><con:jmsConfig
JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig
mustUnderstand="NONE" version="200508"/><con:wsrmConfig
version="1.2"/></con:request></con:config></con:testStep><con:properties><con:property><con:name>lsKey</con:name><con:value>http://s00-0.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property></con:properties></con:testCase><con:testCase
failOnError="true" failTestCaseOnErrors="true" keepSession="false"
maxResults="0" name="Double Registration" searchProperties="true"
id="724f833a-ee9d-46e3-a0ad-02b1d7e11205"><con:settings/><con:testStep
type="request" name="Double Service Registration"
id="c047b0c2-2c93-419b-8713-47dc9c4145fc"><con:settings/><con:config
xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2001
/XMLSchema-instance"><con:interface>LookupServiceSoap12Binding</con:interface><con:operation>message</con:operation><con:request
name="Double Service Registration" outgoingWss=""
incomingWss=""><con:settings><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@inline-response-attachments">false</con:setting><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers"><xml-fragment/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>http://ls-1-5-1:8180/perfsonar-java-xml-ls/services/LookupService</con:endpoint><con:request><![CDATA[<!--
Two Services registration with data -->
+</scriptText></con:configuration></con:assertion><con:credentials><con:username
xsi:nil="true"/><con:password xsi:nil="true"/><con:domain
xsi:nil="true"/></con:credentials><con:jmsConfig
JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig
mustUnderstand="NONE" version="200508"/><con:wsrmConfig
version="1.2"/></con:request></con:config></con:testStep><con:properties><con:property><con:name>lsKey</con:name><con:value>http://s00-0032.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property></con:properties></con:testCase><con:testCase
failOnError="true" failTestCaseOnErrors="true" keepSession="false"
maxResults="0" name="Double Registration" searchProperties="true"
id="724f833a-ee9d-46e3-a0ad-02b1d7e11205"><con:settings/><con:testStep
type="request" name="Double Service Registration"
id="c047b0c2-2c93-419b-8713-47dc9c4145fc"><con:settings/><con:config
xsi:type="con:RequestStep" xmlns:xsi="http://www.w3.org/2
001/XMLSchema-instance"><con:interface>LookupServiceSoap12Binding</con:interface><con:operation>message</con:operation><con:request
name="Double Service Registration" outgoingWss=""
incomingWss=""><con:settings><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@inline-response-attachments">false</con:setting><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers"><xml-fragment/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>http://ls-1-5-1:8180/perfsonar-java-xml-ls/services/LookupService</con:endpoint><con:request><![CDATA[<!--
Two Services registration with data -->
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/">
<soapenv:Header/>
<soapenv:Body>
@@ -1635,14 +1636,11 @@
declare namespace soapenv='http://schemas.xmlsoap.org/soap/envelope/';
declare namespace nmwg='http://ggf.org/ns/nmwg/base/2.0/';
-/soapenv:Envelope/soapenv:Body/nmwg:message/nmwg:metadata[nmwg:eventType="success.ls.register"]/nmwg:key/nmwg:parameters/nmwg:parameter</path><content><nmwg:parameter
name="lsKey" value="dsdsd-correct-withType"
xmlns:nmwg="http://ggf.org/ns/nmwg/base/2.0/"
xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"/></content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:assertion
type="XQuery Match" name="XQuery Match - discarded"
id="b6376aca-3f90-4f17-a08c-409f4ef867e6"><con:configuration><path>declare
namespace nmwgr='http://ggf.org/ns/nmwg/result/2.0/';
+/soapenv:Envelope/soapenv:Body/nmwg:message/nmwg:metadata[nmwg:eventType="success.ls.register"]/nmwg:key/nmwg:parameters/nmwg:parameter</path><content><nmwg:parameter
name="lsKey" value="dsdsd-correct-withType"
xmlns:nmwg="http://ggf.org/ns/nmwg/base/2.0/"
xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"/></content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:assertion
type="XPath Match" name="XPath Match -
discarded"><con:configuration><path>declare namespace
nmwgr='http://ggf.org/ns/nmwg/result/2.0/';
declare namespace soapenv='http://schemas.xmlsoap.org/soap/envelope/';
declare namespace nmwg='http://ggf.org/ns/nmwg/base/2.0/';
-for $metadata in
//nmwg:message/nmwg:metadata[nmwg:eventType="error.ls.no_service_type"]
- let $metadata_id := $metadata/@id
- let $data :=
//nmwg:message/nmwg:data[@metadataIdRef=$metadata_id]
- return $data/nmwgr:datum</path><content><nmwgr:datum
xmlns:nmwgr="http://ggf.org/ns/nmwg/result/2.0/">[error.ls.no_service_type]:
No serviceType or empty in
request</nmwgr:datum></content><allowWildcards>false</allowWildcards></con:configuration></con:assertion><con:credentials><con:username
xsi:nil="true"/><con:password xsi:nil="true"/><con:domain
xsi:nil="true"/></con:credentials><con:jmsConfig
JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig
mustUnderstand="NONE" version="200508"/><con:wsrmConfig
version="1.2"/></con:request></con:config></con:testStep><con:testStep
type="request" name="2.1.2.3.6 - No serviceName"
id="50c8d130-6e4e-4f38-b25d-ff57e65bab9b"><con:settings/><con:config
xsi:type="con:RequestStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>LookupServiceSoap12Binding</con:interface><con:operation>message</con:operation><con:request
name="2.1.2.3.6 - No serviceName" outgoingWss=""
incomingWss=""><con:settings><
con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@inline-response-attachments">false</con:setting><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers"><xml-fragment/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>http://ls-1-5-1:8180/perfsonar-java-xml-ls/services/LookupService</con:endpoint><con:request><![CDATA[<soapenv:Envelope
xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:ns="http://ggf.org/ns/nmwg/base/2.0/">
+matches(//nmwg:message/nmwg:data[@metadataIdRef=data(../nmwg:metadata[child::nmwg:eventType="error.ls.no_service_type"]/@id)]/nmwgr:datum,
'error.ls.no_service_type')</path><content>true</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials><con:username
xsi:nil="true"/><con:password xsi:nil="true"/><con:domain
xsi:nil="true"/></con:credentials><con:jmsConfig
JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig
mustUnderstand="NONE" version="200508"/><con:wsrmConfig
version="1.2"/></con:request></con:config></con:testStep><con:testStep
type="request" name="2.1.2.3.6 - No serviceName"
id="50c8d130-6e4e-4f38-b25d-ff57e65bab9b"><con:settings/><con:config
xsi:type="con:RequestStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>LookupServiceSoap12Binding</con:interface><con:operation>message</con:ope
ration><con:request name="2.1.2.3.6 - No serviceName" outgoingWss=""
incomingWss=""><con:settings><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@inline-response-attachments">false</con:setting><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers"><xml-fragment/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>http://ls-1-5-1:8180/perfsonar-java-xml-ls/services/LookupService</con:endpoint><con:request><![CDATA[<soapenv:Envelope
xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:ns="http://ggf.org/ns/nmwg/base/2.0/">
<soapenv:Header/>
<soapenv:Body>
@@ -2657,7 +2655,7 @@
declare namespace soapenv='http://schemas.xmlsoap.org/soap/envelope/';
declare namespace nmwg='http://ggf.org/ns/nmwg/base/2.0/';
-matches(/soapenv:Envelope/soapenv:Body/nmwg:message/nmwg:metadata/nmwg:eventType,
'error(/ls/no_key|\.ls\.keepalive\.key_not_found)')</path><content>true</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials><con:username
xsi:nil="true"/><con:password xsi:nil="true"/><con:domain
xsi:nil="true"/></con:credentials><con:jmsConfig
JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig
mustUnderstand="NONE" version="200508"/><con:wsrmConfig
version="1.2"/></con:request></con:config></con:testStep><con:testStep
type="request" name="2.3.2.2.5 - Keepalive No metadata/data pair"
id="c5bbe983-46f6-42ba-8817-b1d3d7112422"><con:settings/><con:config
xsi:type="con:RequestStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>LookupServiceSoap12Binding</con:interface><con:operation>message</con:operation><con:requ
est name="2.3.2.2.5 - Keepalive No metadata/data pair" outgoingWss=""
incomingWss=""><con:settings><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@inline-response-attachments">false</con:setting><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers"><xml-fragment/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>http://ls-1-5-1:8180/perfsonar-java-xml-ls/services/LookupService</con:endpoint><con:request><![CDATA[<!--
Try to check the lsKey is present -->
+matches(/soapenv:Envelope/soapenv:Body/nmwg:message/nmwg:metadata/nmwg:eventType,
'error(/ls/no_key|\.ls\.no_key|\.ls\.keepalive\.key_not_found)')</path><content>true</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials><con:username
xsi:nil="true"/><con:password xsi:nil="true"/><con:domain
xsi:nil="true"/></con:credentials><con:jmsConfig
JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig
mustUnderstand="NONE" version="200508"/><con:wsrmConfig
version="1.2"/></con:request></con:config></con:testStep><con:testStep
type="request" name="2.3.2.2.5 - Keepalive No metadata/data pair"
id="c5bbe983-46f6-42ba-8817-b1d3d7112422"><con:settings/><con:config
xsi:type="con:RequestStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>LookupServiceSoap12Binding</con:interface><con:operation>message</con:operat
ion><con:request name="2.3.2.2.5 - Keepalive No metadata/data pair"
outgoingWss="" incomingWss=""><con:settings><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@inline-response-attachments">false</con:setting><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers"><xml-fragment/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>http://ls-1-5-1:8180/perfsonar-java-xml-ls/services/LookupService</con:endpoint><con:request><![CDATA[<!--
Try to check the lsKey is present -->
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:xs="http://www.w3.org/2001/XMLSchema">
<soapenv:Header/>
<soapenv:Body>
@@ -2752,7 +2750,7 @@
declare namespace soapenv='http://schemas.xmlsoap.org/soap/envelope/';
declare namespace nmwg='http://ggf.org/ns/nmwg/base/2.0/';
-matches(/soapenv:Envelope/soapenv:Body/nmwg:message/nmwg:metadata/nmwg:eventType,
'error(/ls/no_key|\.ls\.keepalive\.key_not_found)')</path><content>true</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials><con:username
xsi:nil="true"/><con:password xsi:nil="true"/><con:domain
xsi:nil="true"/></con:credentials><con:jmsConfig
JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig
mustUnderstand="NONE" version="200508"/><con:wsrmConfig
version="1.2"/></con:request></con:config></con:testStep><con:properties/></con:testCase><con:properties/></con:testSuite><con:testSuite
name="Query"
id="82c8ef23-4bdd-4f4c-be65-7f1d8f1dedfe"><con:description/><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase
failOnError="true" failTestCaseOnErrors="true" keepSession="false"
maxResults="0" name="Discovery" searchProperties
="true"
id="d2073c66-232a-40b8-98ef-14c90fdb8454"><con:settings/><con:testStep
type="request" name="IPv4 Address through xQuery"><con:settings/><con:config
xsi:type="con:RequestStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>LookupServiceSoap12Binding</con:interface><con:operation>message</con:operation><con:request
name="IPv4 Address through xQuery" outgoingWss=""
incomingWss=""><con:settings><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers"><xml-fragment/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>http://ls-1-5-1:8180/perfsonar-java-xml-ls/services/LookupService</con:endpoint><con:request><![CDATA[<?xml
version='1.0' encoding='UTF-8'?>
+matches(/soapenv:Envelope/soapenv:Body/nmwg:message/nmwg:metadata/nmwg:eventType,
'error(/ls/no_key|\.ls\.no_key|\.ls\.keepalive\.key_not_found)')</path><content>true</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials><con:username
xsi:nil="true"/><con:password xsi:nil="true"/><con:domain
xsi:nil="true"/></con:credentials><con:jmsConfig
JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig
mustUnderstand="NONE" version="200508"/><con:wsrmConfig
version="1.2"/></con:request></con:config></con:testStep><con:properties/></con:testCase><con:properties/></con:testSuite><con:testSuite
name="Query"
id="82c8ef23-4bdd-4f4c-be65-7f1d8f1dedfe"><con:description/><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase
failOnError="true" failTestCaseOnErrors="true" keepSession="false"
maxResults="0" name="Discovery" sea
rchProperties="true"
id="d2073c66-232a-40b8-98ef-14c90fdb8454"><con:settings/><con:testStep
type="request" name="IPv4 Address through xQuery"><con:settings/><con:config
xsi:type="con:RequestStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>LookupServiceSoap12Binding</con:interface><con:operation>message</con:operation><con:request
name="IPv4 Address through xQuery" outgoingWss=""
incomingWss=""><con:settings><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers"><xml-fragment/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>http://ls-1-5-1:8180/perfsonar-java-xml-ls/services/LookupService</con:endpoint><con:request><![CDATA[<?xml
version='1.0' encoding='UTF-8'?>
<!-- XPath query: lookup for an IP address -->
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:xs="http://www.w3.org/2001/XMLSchema">
<soapenv:Header/>
@@ -2766,7 +2764,7 @@
declare namespace
psservice="http://ggf.org/ns/nmwg/tools/org/perfsonar/service/1.0/";
declare namespace nmwgt='http://ggf.org/ns/nmwg/topology/2.0/';
- for $data in
/nmwg:store/nmwg:data[contains(descendant::nmwgt:ifAddress,
"${#TestCase#IPv4}")]
+ for $data in /nmwg:store/nmwg:data[descendant::nmwgt:ifAddress =
"${#TestCase#IPv4}"]
let $metadata_id := $data/@metadataIdRef
let $metadata :=
/nmwg:store/nmwg:metadata[@id=$metadata_id]
return ($metadata, $data)
@@ -3893,7 +3891,7 @@
declare namespace soapenv='http://schemas.xmlsoap.org/soap/envelope/';
declare namespace nmwg='http://ggf.org/ns/nmwg/base/2.0/';
-matches(/soapenv:Envelope/soapenv:Body/nmwg:message/nmwg:metadata/nmwg:eventType,
'error\.(no_event_type|ls\.query\.eventType)')</path><content>true</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials><con:username
xsi:nil="true"/><con:password xsi:nil="true"/><con:domain
xsi:nil="true"/></con:credentials><con:jmsConfig
JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig
mustUnderstand="NONE" version="200508"/><con:wsrmConfig
version="1.2"/></con:request></con:config></con:testStep><con:properties/></con:testCase><con:testCase
failOnError="false" failTestCaseOnErrors="true" keepSession="false"
maxResults="0" name="Invalid data" searchProperties="true" timeout="0"
wsrmEnabled="false" wsrmVersion="1.0" wsrmAckTo=""
id="1d4bc99a-33e8-4555-bc94-1a29d3324c03"><con:settings/><con:testStep
type="groovy" name="Set Registra
tion Properties"><con:settings/><con:config><script>// Set Herited
properties so that the Test Run have correct values
+matches(/soapenv:Envelope/soapenv:Body/nmwg:message/nmwg:metadata/nmwg:eventType,
'error\.(no_event_type|ls\.query\.eventType)')</path><content>true</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials><con:username
xsi:nil="true"/><con:password xsi:nil="true"/><con:domain
xsi:nil="true"/></con:credentials><con:jmsConfig
JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:wsaConfig
mustUnderstand="NONE" version="200508"/><con:wsrmConfig
version="1.2"/></con:request></con:config></con:testStep><con:properties/></con:testCase><con:testCase
failOnError="false" failTestCaseOnErrors="true" keepSession="false"
maxResults="0" name="Invalid data - 2.4.2.3" searchProperties="true"
timeout="0" wsrmEnabled="false" wsrmVersion="1.0" wsrmAckTo=""
id="1d4bc99a-33e8-4555-bc94-1a29d3324c03"><con:settings/><con:testStep
type="groovy" name="Se
t Registration Properties"><con:settings/><con:config><script>// Set Herited
properties so that the Test Run have correct values
// We store the accessPoint and the lsKey in a property to keep it safe and
be able to re-use it
def tc = testRunner.testCase
def apName = tc.testSuite.project.getPropertyValue("AccessPoint-name")
@@ -5115,7 +5113,7 @@
props.setPropertyValue("Counter", counter)
props.setPropertyValue("accessPoint","http://s"+thread+"-"+counter+"."+apName+":"+apPort+apPath)
}
-</script></con:config></con:testStep><con:testStep type="calltestcase"
name="Threaded Single Reg"><con:settings/><con:config
xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>3e654b7b-53a4-4f13-8628-6d7bfc9c4512</con:targetTestCase><con:properties><con:property><con:name>ParentThread</con:name><con:value>00</con:value></con:property><con:property><con:name>Counter</con:name><con:value>0008</con:value></con:property><con:property><con:name>lsKey</con:name><con:value>http://s00-0001.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>accessPoint</con:name><con:value>http://s00-0008.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:loadTest
name="Lots of Registrations" id="6c
2383df-9e36-4bc7-89f3-b464f710407c"><con:settings/><con:threadCount>30</con:threadCount><con:startDelay>0</con:startDelay><con:sampleInterval>250</con:sampleInterval><con:calculateTPSOnTimePassed>true</con:calculateTPSOnTimePassed><con:resetStatisticsOnThreadCountChange>true</con:resetStatisticsOnThreadCountChange><con:historyLimit>-1</con:historyLimit><con:testLimit>300</con:testLimit><con:limitType>TIME</con:limitType><con:loadStrategy><con:type>Simple</con:type></con:loadStrategy><con:assertion
type="Step Status" name="Step
Status"/><con:maxAssertionErrors>100</con:maxAssertionErrors><con:cancelExcessiveThreads>true</con:cancelExcessiveThreads><con:strategyInterval>500</con:strategyInterval><con:setupScript>//
Init an empty DB
+</script></con:config></con:testStep><con:testStep type="calltestcase"
name="Threaded Single Reg"><con:settings/><con:config
xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>3e654b7b-53a4-4f13-8628-6d7bfc9c4512</con:targetTestCase><con:properties><con:property><con:name>ParentThread</con:name><con:value>00</con:value></con:property><con:property><con:name>Counter</con:name><con:value>0022</con:value></con:property><con:property><con:name>lsKey</con:name><con:value>http://s00-0001.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>accessPoint</con:name><con:value>http://s00-0022.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:loadTest
name="Lots of Registrations" id="6c
2383df-9e36-4bc7-89f3-b464f710407c"><con:settings/><con:threadCount>30</con:threadCount><con:startDelay>0</con:startDelay><con:sampleInterval>250</con:sampleInterval><con:calculateTPSOnTimePassed>true</con:calculateTPSOnTimePassed><con:resetStatisticsOnThreadCountChange>true</con:resetStatisticsOnThreadCountChange><con:historyLimit>-1</con:historyLimit><con:testLimit>300</con:testLimit><con:limitType>TIME</con:limitType><con:loadStrategy><con:type>Simple</con:type></con:loadStrategy><con:assertion
type="Step Status" name="Step
Status"/><con:maxAssertionErrors>100</con:maxAssertionErrors><con:cancelExcessiveThreads>true</con:cancelExcessiveThreads><con:strategyInterval>500</con:strategyInterval><con:setupScript>//
Init an empty DB
def tc = loadTestRunner.loadTest.testCase
def initdbtc =
tc.getTestSuite().getProject().getTestSuiteByName("Initialisation").getTestCaseByName("Empty
DB")
initdbtc.run(null, false)
@@ -5147,7 +5145,7 @@
} else
props.setPropertyValue("accessPoint","http://s"+thread+"-"+counter+"."+apName+":"+apPort+apPath)
}
-</script></con:config></con:testStep><con:testStep type="calltestcase"
name="Threaded Single Reg"><con:settings/><con:config
xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>3e654b7b-53a4-4f13-8628-6d7bfc9c4512</con:targetTestCase><con:properties><con:property><con:name>ParentThread</con:name><con:value>00</con:value></con:property><con:property><con:name>Counter</con:name><con:value>0001</con:value></con:property><con:property><con:name>lsKey</con:name><con:value>http://s00-0039.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>accessPoint</con:name><con:value>http://s00-0001.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep
type="calltestcase" name="Threaded
Double Reg"><con:settings/><con:config xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>724f833a-ee9d-46e3-a0ad-02b1d7e11205</con:targetTestCase><con:properties><con:property><con:name>ParentThread</con:name><con:value>00</con:value></con:property><con:property><con:name>Counter</con:name><con:value>0039</con:value></con:property><con:property><con:name>lsKeyA</con:name><con:value>http://s00-0007-a.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>lsKeyB</con:name><con:value>http://s00-0007-b.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>accessPointA</con:name><con:value>http://s00-0039-a.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>accessPointB</con:name><con:
value>http://s00-0039-b.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep
type="calltestcase" name="Threaded Dereg"><con:settings/><con:config
xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>01c061ba-e53c-42f2-b08b-6f705a53e8af</con:targetTestCase><con:properties><con:property><con:name>lsKey</con:name><con:value>http://s00-0009.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:loadTest
name="Lots of Random
Reg-Dereg"><con:settings/><con:threadCount>8</con:threadCount><con:startDelay>0</con:startDelay><con:sampleInterval>250</con:sampleInterval><con:calculateTPSOnTimePassed>tr
ue</con:calculateTPSOnTimePassed><con:resetStatisticsOnThreadCountChange>true</con:resetStatisticsOnThreadCountChange><con:historyLimit>-1</con:historyLimit><con:testLimit>3600</con:testLimit><con:limitType>TIME</con:limitType><con:loadStrategy><con:type>Simple</con:type></con:loadStrategy><con:assertion
type="Step Status" name="Step
Status"/><con:maxAssertionErrors>100</con:maxAssertionErrors><con:cancelExcessiveThreads>true</con:cancelExcessiveThreads><con:strategyInterval>500</con:strategyInterval><con:setupScript>//
Init an empty DB or keep the existing one
+</script></con:config></con:testStep><con:testStep type="calltestcase"
name="Threaded Single Reg"><con:settings/><con:config
xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>3e654b7b-53a4-4f13-8628-6d7bfc9c4512</con:targetTestCase><con:properties><con:property><con:name>ParentThread</con:name><con:value>00</con:value></con:property><con:property><con:name>Counter</con:name><con:value>0030</con:value></con:property><con:property><con:name>lsKey</con:name><con:value>http://s00-0039.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>accessPoint</con:name><con:value>http://s00-0030.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep
type="calltestcase" name="Threaded
Double Reg"><con:settings/><con:config xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>724f833a-ee9d-46e3-a0ad-02b1d7e11205</con:targetTestCase><con:properties><con:property><con:name>ParentThread</con:name><con:value>00</con:value></con:property><con:property><con:name>Counter</con:name><con:value>0000</con:value></con:property><con:property><con:name>lsKeyA</con:name><con:value>http://s00-0007-a.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>lsKeyB</con:name><con:value>http://s00-0007-b.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>accessPointA</con:name><con:value>http://s00-0000-a.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>accessPointB</con:name><con:
value>http://s00-0000-b.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep
type="calltestcase" name="Threaded Dereg"><con:settings/><con:config
xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>01c061ba-e53c-42f2-b08b-6f705a53e8af</con:targetTestCase><con:properties><con:property><con:name>lsKey</con:name><con:value>http://s00-0009.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>ParentThread</con:name><con:value>00</con:value></con:property><con:property><con:name>Counter</con:name><con:value>0005</con:value></con:property><con:property><con:name>accessPoint</con:name><con:value>http://s00-0005.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/Measurem
entArchiveService</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:loadTest
name="Lots of Random
Reg-Dereg"><con:settings/><con:threadCount>8</con:threadCount><con:startDelay>0</con:startDelay><con:sampleInterval>250</con:sampleInterval><con:calculateTPSOnTimePassed>true</con:calculateTPSOnTimePassed><con:resetStatisticsOnThreadCountChange>true</con:resetStatisticsOnThreadCountChange><con:historyLimit>-1</con:historyLimit><con:testLimit>3600</con:testLimit><con:limitType>TIME</con:limitType><con:loadStrategy><con:type>Simple</con:type></con:loadStrategy><con:assertion
type="Step Status" name="Step
Status"/><con:maxAssertionErrors>100</con:maxAssertionErrors><con:cancelExcessiveThreads>true</con:cancelExcessiveThreads><con:strategyInterval>500</con:strategyInterval><con:setupScript>//
Init an empty DB or keep the existing one
def tc = loadTestRunner.loadTest.testCase
def initdbtc =
tc.getTestSuite().getProject().getTestSuiteByName("Initialisation").getTestCaseByName("Empty
DB")
initdbtc.run(null, false)
@@ -5223,7 +5221,7 @@
if (prop) counter = prop.toInteger()
else counter = 0
ts.setPropertyValue("ServicesCounter", String.format('%d',++counter))
-</script></con:config></con:testStep><con:testStep type="calltestcase"
name="Threaded Single Reg"><con:settings/><con:config
xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>3e654b7b-53a4-4f13-8628-6d7bfc9c4512</con:targetTestCase><con:properties><con:property><con:name>ParentThread</con:name><con:value>00</con:value></con:property><con:property><con:name>Counter</con:name><con:value>0006</con:value></con:property><con:property><con:name>lsKey</con:name><con:value>http://s00-0028.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>accessPoint</con:name><con:value>http://s00-0006.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep
type="request" name="Test Double Se
rvice exist"><con:settings/><con:config xsi:type="con:RequestStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>LookupServiceSoap12Binding</con:interface><con:operation>message</con:operation><con:request
name="Test Double Service exist" outgoingWss=""
incomingWss=""><con:settings><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers"><xml-fragment/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>http://ls-1-5-1:8180/perfsonar-java-xml-ls/services/LookupService</con:endpoint><con:request><![CDATA[<!--
XPath query: lookup for registered services of given serviceType and
serviceName -->
+</script></con:config></con:testStep><con:testStep type="calltestcase"
name="Threaded Single Reg"><con:settings/><con:config
xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>3e654b7b-53a4-4f13-8628-6d7bfc9c4512</con:targetTestCase><con:properties><con:property><con:name>ParentThread</con:name><con:value>00</con:value></con:property><con:property><con:name>Counter</con:name><con:value>0032</con:value></con:property><con:property><con:name>lsKey</con:name><con:value>http://s00-0028.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>accessPoint</con:name><con:value>http://s00-0032.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>ServicesCounter</con:name><con:value>2</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</
con:runMode></con:config></con:testStep><con:testStep type="request"
name="Test Double Service exist"><con:settings/><con:config
xsi:type="con:RequestStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>LookupServiceSoap12Binding</con:interface><con:operation>message</con:operation><con:request
name="Test Double Service exist" outgoingWss=""
incomingWss=""><con:settings><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers"><xml-fragment/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>http://ls-1-5-1:8180/perfsonar-java-xml-ls/services/LookupService</con:endpoint><con:request><![CDATA[<!--
XPath query: lookup for registered services of given serviceType and
serviceName -->
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:xs="http://www.w3.org/2001/XMLSchema">
<soapenv:Header/>
<soapenv:Body>
@@ -5267,7 +5265,7 @@
if (prop) counter = prop.toInteger()
else counter = 0
ts.setPropertyValue("ServicesCounter", String.format('%d',++counter))
-</script></con:config></con:testStep><con:testStep type="calltestcase"
name="Threaded Double Reg"><con:settings/><con:config
xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>724f833a-ee9d-46e3-a0ad-02b1d7e11205</con:targetTestCase><con:properties><con:property><con:name>ParentThread</con:name><con:value>00</con:value></con:property><con:property><con:name>Counter</con:name><con:value>0034</con:value></con:property><con:property><con:name>lsKeyA</con:name><con:value>http://s00-0020-a.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>lsKeyB</con:name><con:value>http://s00-0020-b.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>accessPointA</con:name><con:value>http://s00-0034-a.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchive
Service</con:value></con:property><con:property><con:name>accessPointB</con:name><con:value>http://s00-0034-b.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep
type="request" name="Test Dereg Service exist"><con:settings/><con:config
xsi:type="con:RequestStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>LookupServiceSoap12Binding</con:interface><con:operation>message</con:operation><con:request
name="Test Dereg Service exist" outgoingWss=""
incomingWss=""><con:settings><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers"><xml-fragment/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>http://ls-1-5-1:8180/perfsonar-java-xml-ls/services/LookupService</con:endpoint><con:request><![CDATA[<!--
XPath query: lookup for registered
services of given serviceType and serviceName -->
+</script></con:config></con:testStep><con:testStep type="calltestcase"
name="Threaded Double Reg"><con:settings/><con:config
xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>724f833a-ee9d-46e3-a0ad-02b1d7e11205</con:targetTestCase><con:properties><con:property><con:name>ParentThread</con:name><con:value>00</con:value></con:property><con:property><con:name>Counter</con:name><con:value>0037</con:value></con:property><con:property><con:name>lsKeyA</con:name><con:value>http://s00-0020-a.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>lsKeyB</con:name><con:value>http://s00-0020-b.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>accessPointA</con:name><con:value>http://s00-0037-a.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchive
Service</con:value></con:property><con:property><con:name>accessPointB</con:name><con:value>http://s00-0037-b.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>ServicesCounter</con:name><con:value>10</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep
type="request" name="Test Dereg Service exist"><con:settings/><con:config
xsi:type="con:RequestStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:interface>LookupServiceSoap12Binding</con:interface><con:operation>message</con:operation><con:request
name="Test Dereg Service exist" outgoingWss=""
incomingWss=""><con:settings><con:setting
id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers"><xml-fragment/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>http://ls-1-5-1:8180/perfsonar-java-xml-ls/services
/LookupService</con:endpoint><con:request><![CDATA[<!-- XPath query: lookup
for registered services of given serviceType and serviceName -->
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:xs="http://www.w3.org/2001/XMLSchema">
<soapenv:Header/>
<soapenv:Body>
@@ -5311,7 +5309,7 @@
if (prop) counter = prop.toInteger()
else counter = 0
ts.setPropertyValue("ServicesCounter", String.format('%d',--counter))
-</script></con:config></con:testStep><con:testStep type="calltestcase"
name="Threaded Dereg"><con:settings/><con:config
xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>01c061ba-e53c-42f2-b08b-6f705a53e8af</con:targetTestCase><con:properties><con:property><con:name>lsKey</con:name><con:value>http://s00-0039.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:loadTest
name="Lots of Random
Reg-Dereg-Queries"><con:settings/><con:threadCount>4</con:threadCount><con:startDelay>0</con:startDelay><con:sampleInterval>250</con:sampleInterval><con:calculateTPSOnTimePassed>true</con:calculateTPSOnTimePassed><con:resetStatisticsOnThreadCountChange>true</con:resetStatisticsOnThreadCountChange><con:historyLimit>-1</con:historyLimit><con:testLimit>3600</con:testLimit><c
on:limitType>TIME</con:limitType><con:loadStrategy><con:type>Simple</con:type></con:loadStrategy><con:assertion
type="Step Status" name="Step
Status"/><con:maxAssertionErrors>100</con:maxAssertionErrors><con:cancelExcessiveThreads>true</con:cancelExcessiveThreads><con:strategyInterval>500</con:strategyInterval><con:setupScript>//
Init an empty DB or keep the existing one
+</script></con:config></con:testStep><con:testStep type="calltestcase"
name="Threaded Dereg"><con:settings/><con:config
xsi:type="con:RunTestCaseStep"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>01c061ba-e53c-42f2-b08b-6f705a53e8af</con:targetTestCase><con:properties><con:property><con:name>lsKey</con:name><con:value>http://s00-0039.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>ParentThread</con:name><con:value>00</con:value></con:property><con:property><con:name>Counter</con:name><con:value>0004</con:value></con:property><con:property><con:name>accessPoint</con:name><con:value>http://s00-0004.load.service.geant.net:8080/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property></con:properties><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:loadTest
name="Lots of Random Reg-Dereg-Queries">
<con:settings/><con:threadCount>4</con:threadCount><con:startDelay>0</con:startDelay><con:sampleInterval>250</con:sampleInterval><con:calculateTPSOnTimePassed>true</con:calculateTPSOnTimePassed><con:resetStatisticsOnThreadCountChange>true</con:resetStatisticsOnThreadCountChange><con:historyLimit>-1</con:historyLimit><con:testLimit>3600</con:testLimit><con:limitType>TIME</con:limitType><con:loadStrategy><con:type>Simple</con:type></con:loadStrategy><con:assertion
type="Step Status" name="Step
Status"/><con:maxAssertionErrors>100</con:maxAssertionErrors><con:cancelExcessiveThreads>true</con:cancelExcessiveThreads><con:strategyInterval>500</con:strategyInterval><con:setupScript>//
Init an empty DB or keep the existing one
def tc = loadTestRunner.loadTest.testCase
def initdbtc =
tc.getTestSuite().getProject().getTestSuiteByName("Initialisation").getTestCaseByName("Empty
DB")
initdbtc.run(null, false)
@@ -5321,4 +5319,4 @@
ts = tc.getTestStepByName(it)
ts.setPropertyValue("ServicesCounter", "0")
}
-</con:setupScript></con:loadTest><con:setupScript/><con:properties><con:property><con:name>CountMax</con:name><con:value>50</con:value></con:property></con:properties></con:testCase><con:properties><con:property><con:name>ServiceName</con:name><con:value>Load
Test
Service</con:value></con:property><con:property><con:name>AccessPoint-name</con:name><con:value>load.service.geant.net</con:value></con:property><con:property><con:name>AccessPoint-port</con:name><con:value>8080</con:value></con:property><con:property><con:name>AccessPoint-path</con:name><con:value>/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>ServiceType</con:name><con:value>RRD
MA</con:value></con:property><con:property><con:name>ServiceDescription</con:name><con:value>soapUI
XML LS Load Testing Service - RRD
MA</con:value></con:property><con:property><con:name>Interface-hostName</con:name><con:value>loadtest.router.geant.net</con:value></con:property>
<con:property><con:name>Interface-Description</con:name><con:value>hstn:oc192(p2p)::show:intracloud</con:value></con:property><con:property><con:name>Interface-AddressIPv4</con:name><con:value>62.40.96.1</con:value></con:property></con:properties></con:testSuite><con:properties><con:property><con:name>lsProtocol</con:name><con:value>http://</con:value></con:property><con:property><con:name>lsHost</con:name><con:value>ls-1-5-1:8180/perfsonar-java-xml-ls</con:value></con:property><con:property><con:name>lsExistUser</con:name><con:value>admin</con:value></con:property><con:property><con:name>lsExistPass</con:name><con:value/></con:property><con:property><con:name>ServiceName</con:name><con:value>Testing
Service</con:value></con:property><con:property><con:name>AccessPoint-name</con:name><con:value>load.service.geant.net</con:value></con:property><con:property><con:name>AccessPoint-port</con:name><con:value>8080</con:value></con:property><con:property><con:name>AccessPoint-path<
/con:name><con:value>/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>ServiceType</con:name><con:value>RRD
MA</con:value></con:property><con:property><con:name>ServiceDescription</con:name><con:value>soapUI
XML LS Registration Testing Service - RRD
MA</con:value></con:property><con:property><con:name>Interface-hostName</con:name><con:value>test.router.geant.net</con:value></con:property><con:property><con:name>Interface-Description</con:name><con:value>hstn:oc192(p2p)::show:intracloud</con:value></con:property><con:property><con:name>Interface-AddressIPv4</con:name><con:value>62.40</con:value></con:property><con:property><con:name>Interface-AddressIPv4-B</con:name><con:value>62.42</con:value></con:property></con:properties><con:wssContainer/><con:sensitiveInformation/></con:soapui-project>
\ No newline at end of file
+</con:setupScript></con:loadTest><con:setupScript/><con:properties><con:property><con:name>CountMax</con:name><con:value>50</con:value></con:property></con:properties></con:testCase><con:properties><con:property><con:name>ServiceName</con:name><con:value>Load
Test
Service</con:value></con:property><con:property><con:name>AccessPoint-name</con:name><con:value>load.service.geant.net</con:value></con:property><con:property><con:name>AccessPoint-port</con:name><con:value>8080</con:value></con:property><con:property><con:name>AccessPoint-path</con:name><con:value>/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>ServiceType</con:name><con:value>RRD
MA</con:value></con:property><con:property><con:name>ServiceDescription</con:name><con:value>soapUI
XML LS Load Testing Service - RRD
MA</con:value></con:property><con:property><con:name>Interface-hostName</con:name><con:value>loadtest.router.geant.net</con:value></con:property>
<con:property><con:name>Interface-Description</con:name><con:value>hstn:oc192(p2p)::show:intracloud</con:value></con:property><con:property><con:name>Interface-AddressIPv4</con:name><con:value>62.40.96.1</con:value></con:property></con:properties></con:testSuite><con:properties><con:property><con:name>lsProtocol</con:name><con:value>http://</con:value></con:property><con:property><con:name>lsHost</con:name><con:value>ls:8180/perfsonar-java-xml-ls</con:value></con:property><con:property><con:name>lsExistUser</con:name><con:value>admin</con:value></con:property><con:property><con:name>lsExistPass</con:name><con:value/></con:property><con:property><con:name>ServiceName</con:name><con:value>Testing
Service</con:value></con:property><con:property><con:name>AccessPoint-name</con:name><con:value>load.service.geant.net</con:value></con:property><con:property><con:name>AccessPoint-port</con:name><con:value>8080</con:value></con:property><con:property><con:name>AccessPoint-path</con:n
ame><con:value>/perfsonar-java-rrd-ma/services/MeasurementArchiveService</con:value></con:property><con:property><con:name>ServiceType</con:name><con:value>RRD
MA</con:value></con:property><con:property><con:name>ServiceDescription</con:name><con:value>soapUI
XML LS Registration Testing Service - RRD
MA</con:value></con:property><con:property><con:name>Interface-hostName</con:name><con:value>test.router.geant.net</con:value></con:property><con:property><con:name>Interface-Description</con:name><con:value>hstn:oc192(p2p)::show:intracloud</con:value></con:property><con:property><con:name>Interface-AddressIPv4</con:name><con:value>62.40</con:value></con:property><con:property><con:name>Interface-AddressIPv4-B</con:name><con:value>62.42</con:value></con:property></con:properties><con:wssContainer/><con:sensitiveInformation/></con:soapui-project>
\ No newline at end of file
- [pS-dev] [GEANT/SA2/ps-java-services] r5906 - in trunk/perfsonar-java-xml-ls: . packaging src/main/java/org/perfsonar/service/lookupservice src/main/resources/perfsonar/conf src/test/soapUI, svn-noreply, 03/19/2012
Archive powered by MHonArc 2.6.16.